<template>
  <app-view class="home-purchase">
    <template #header>
      <app-navbar class="home-purchase__header" title="采购" :show-back-button="false">
        <template #footer>
          <Search shape="round" placeholder="商品搜索" disabled />
        </template>
      </app-navbar>
    </template>
    <app-pull-refresh class="home-purchase__container" v-model:error="error" v-model:pageIndex="pageIndex"
      :page-count="pageCount" @refresh="onRefresh">
      <template v-for="(item, index) in dataList" :key="index">
        <Cell @click="$router.push({ name: 'goods-details', query: { wrstandardid: item.wrstandardid } })">
          <template #title>
            <img :src="getImageUrl(item.thumurls)" />
            <span>{{ item.wrstandardname }}</span>
          </template>
        </Cell>
      </template>
    </app-pull-refresh>
  </app-view>
</template>

<script lang="ts" setup>
import { shallowRef } from 'vue'
import { Cell, Search } from 'vant'
import { getImageUrl } from '@/filters'
import { useWrstandardList } from '@/business/goods'
import AppPullRefresh from '@mobile/components/base/pull-refresh/index.vue'

const { pageIndex, pageCount, getWrstandardList } = useWrstandardList()
const dataList = shallowRef<Model.THJWrstandardRsp[]>([])
const error = shallowRef(false)

const onRefresh = (finish: () => void) => {
  getWrstandardList().then((res) => {
    if (pageIndex.value === 1) {
      dataList.value = []
    }
    dataList.value.push(...res)
  }).catch(() => {
    error.value = true
  }).finally(() => {
    finish()
  })
}
</script>

<style lang="less">
@import './index.less';
</style>